/* digital oszilloskop mit avr
 by: Clemens Helfmeier
 25.8.06
 */


#ifndef _COMMANDLINE_H_
#define _COMMANDLINE_H_

#include "board.h"

#include "stdlib.h"
void cmd_input( char c );
void cmd_init( void );
void cmd_main( void );

//u8 nmea_cmp( char *s, char *t, u8 len );
//#define cmd_cmp( s, t, l )	nmea_cmp( s, t, l )
u8 cmd_cmp( char * s, char * t, u8 l );

char *cmd_skip_spaces( char * str );
void cmd_timer1s( void );

#include "uart.h"
#include <avr/pgmspace.h>
#define cmd_sendc( c ) 		uart0_putc( c )
#define cmd_sendcs( s )		uart0_puts_p( PSTR(s) )
#define cmd_sendcs_( s )    uart0_puts_p( s )
#define cmd_sends( s )		uart0_puts( s )

void oszi_dbg( char *str );
void cmd_dbg( char *str );
void main_dbg( char *str );


#define CMDOUT_DBG      (0)
#define CMDOUT_OSZI     (1)

void dbg_oszis( char *str );
#define dbg_oszics( str )     dbg_oszics_( PSTR( str ) )
void dbg_oszics_( char *str );
void dbg_oszic( char c );



#endif
